#include <AI8051U.H>
#include "intrins.h"
#include "delay.h"
#include "uart.h"
#include "stdio.h"
#include "W25Q64.h"
#include "eeprom.h"
#include "ST7789.h"
#include "RTC.h"
sbit K1 = P0^0;
sbit K2 = P0^1;
sbit K3 = P0^2;
sbit K4 = P0^3;
sbit LED_1 = P0^4;
sbit LED_2 = P0^5;
sbit LED_3 = P0^6;
sbit LED_4 = P0^7;
unsigned char xdata ce1[32] =
{0x00,0x04,0x27,0xC4,0x14,0x44,0x14,0x54,0x85,0x54,0x45,0x54,0x45,0x54,0x15,0x54,
0x15,0x54,0x25,0x54,0xE5,0x54,0x21,0x04,0x22,0x84,0x22,0x44,0x24,0x14,0x08,0x08};
unsigned char xdata shi[32] =
{0x00,0x28,0x20,0x24,0x10,0x24,0x10,0x20,0x07,0xFE,0x00,0x20,0xF0,0x20,0x17,0xE0,
0x11,0x20,0x11,0x10,0x11,0x10,0x15,0x10,0x19,0xCA,0x17,0x0A,0x02,0x06,0x00,0x02};


void Uart1_Isr(void) interrupt 4
{
	if (TI == 1)				//⴮1ж
	{
		TI = 0;			//1жλ
		LED_1 = !LED_1;
	}
	if (RI == 1)				//⴮1ж
	{
	
		if(	SBUF == 0x01)
			{	
				RI = 0;
				LCD_clear(RED);
			}
		if(	SBUF == 0x02)
			{	
				RI = 0;
				LCD_clear(0XA651);
			}
	}

}

void main()
{	
	P_SW2 |= 0x80;	//ʹڲչXFRĴ
	WTST = 0;  			//óָʱֵΪ0ɽCPUִָٶΪ
	CKCON = 0; 			//߷XRAMٶ
	P0M0 = 0x00;	P0M1 = 0x00;	//P0Ϊ׼˫
	P1M0 = 0x00;	P1M1 = 0x00;	//P1Ϊ׼˫ 
	P2M0 = 0xff;	P2M1 = 0x00;	//P2Ϊ
	P3M0 = 0xc0;  P3M1 = 0x00; 	//P3Ϊ		
  P4M0 = 0x63;	P4M1 = 0x00; 
  P5M0 = 0x00;	P5M1 = 0x00;	//P5Ϊ׼˫
	LED_1 = 0;
	LED_2 = 0;
	LED_3 = 0;
	LED_4 = 0;
	Uart1_Init();
	RTC_Config();
	SPI_Init_Flash();
	LCM_TFT();
	LCD_Init();		
	while(1)
	{
		if( K1 == 0)
		{
			delay_ms(25);
			if(K1 == 0)
				{
					LCD_clear(WHITE);				
				}
			while( K1 == 0);
		}
		if(	K2 == 0)
		{
			delay_ms(25);
			if( K2 == 0)
				{
					LCD_ShowGBK(128,128,"");
					LCD_ShowGBK(128+32,128,"");	
					LCD_showLED(0,0,5);
					LCD_showLED72(30,30,6);
				}
			while( K2 == 0);
		}	
		if(	K3 == 0)
		{
			delay_ms(25);
			if( K3 == 0)
				{	
				LCD_show16(63,79,ce1);
				}
			while( K3 == 0);
		}
		if(	K4 == 0)
		{
			delay_ms(25);
			if( K4 == 0)
				{	
			LCD_ShowPicture();
				}
			while( K4 == 0);
		}
	}
}