#include "ST7789.h"
#include "delay.h"
#include "eeprom.h"
#include "W25Q64.h"
unsigned int POINT_COLOR = 0x0000;
unsigned int BACK_COLOR = 0xffff;

//CMD = 100; 101 110ȡ 111ȡ 
void LCM_TFT(void)
{
	LCMIFCFG   = 0x00;	//ֹж8λ8λݿi8080ģʽ
	LCMIFCFG2  = 0x25;			//ѡP4.5RS P3.7RD P3.6WR
	LCMIFCR   |= (1<<7); 				//ʹTFT	
	LCMIFSTA   = 0x00;				//LCMIFIFжϱ־λ 
//	LCMIFPSCR	 = 0;							//Ƶ
}

/* ָҺĳĴ ǼĴַ */
void LCD_WR_REG(unsigned char reg)		
{	
	LCMIFDATL = reg;	//
	LCD_CS = 0;
	LCMIFCR = 0x84;		//CMD 100 д
	while(!LCMIFSTA);
	LCMIFSTA = 0x00;
	LCD_CS = 1;
}

void LCD_WR_DATA(unsigned char Data)
{
	LCMIFDATL = Data;
	LCD_CS =0;
	LCMIFCR = 0x85;		//CMD 101 д 
  while(!LCMIFSTA);
  LCMIFSTA = 0x00;
  LCD_CS = 1;
}


/* Һʼ */
void LCD_Init()
{

	LCD_RES = 0;
	delay_ms(100);
	LCD_RES = 1;
	delay_ms(100);
	LCD_BL = 1;
	delay_ms(50);
//	LCD_CS = 0;	//CS=0;	
//	delay_ms(120);                

	LCD_WR_REG(0x11);   // Sleep Out           
	delay_ms(120); 
//--------------------ST7789 Frame rate setting--------------------------------//
	LCD_WR_REG(0x36);			
	LCD_WR_DATA(0x60);

	LCD_WR_REG(0x3A);			
	LCD_WR_DATA(0x05);

	LCD_WR_REG(0xB2);			
	LCD_WR_DATA(0x0C);
	LCD_WR_DATA(0x0C); 
	LCD_WR_DATA(0x00); 
	LCD_WR_DATA(0x33); 
	LCD_WR_DATA(0x33); 			

	LCD_WR_REG(0xB7);			
	LCD_WR_DATA(0x35);
//---------------------ST7789 Power setting-----------------------------------//
	LCD_WR_REG(0xBB);			
	LCD_WR_DATA(0x18); //32 Vcom=1.35V

	LCD_WR_REG(0xC0);	//Ĭϵ			
	LCD_WR_DATA(0x2C);
	
	LCD_WR_REG(0xC2);			
	LCD_WR_DATA(0x01);

	LCD_WR_REG(0xC3);			
	LCD_WR_DATA(0x1F); //GVDD=4.8V 
															
	LCD_WR_REG(0xC4);			
	LCD_WR_DATA(0x20); //VDV, 0x20:0v

	LCD_WR_REG(0xC5);			
	LCD_WR_DATA(0x1A);//VCOM Offset Set

	LCD_WR_REG(0xC6);			
	LCD_WR_DATA(0x0F); //0x0F:60Hz        	

	LCD_WR_REG(0xD0);			
	LCD_WR_DATA(0xA4);
	LCD_WR_DATA(0xA1); 		
	
//---------------------ST7789S gamma setting --------------//
		
	LCD_WR_REG( 0xE0);     
	LCD_WR_DATA( 0xD0);   
	LCD_WR_DATA( 0x08);   
	LCD_WR_DATA( 0x0E);   
	LCD_WR_DATA( 0x09);   
	LCD_WR_DATA( 0x09);   
	LCD_WR_DATA( 0x05);   
	LCD_WR_DATA( 0x31);   
	LCD_WR_DATA( 0x33);   
	LCD_WR_DATA( 0x48);   
	LCD_WR_DATA( 0x17);   
	LCD_WR_DATA( 0x14);   
	LCD_WR_DATA( 0x15);   
	LCD_WR_DATA( 0x31);   
	LCD_WR_DATA( 0x34);   

	LCD_WR_REG( 0xE1);     
	LCD_WR_DATA( 0xD0);   
	LCD_WR_DATA( 0x08);   
	LCD_WR_DATA( 0x0E);   
	LCD_WR_DATA( 0x09);   
	LCD_WR_DATA( 0x09);   
	LCD_WR_DATA( 0x15);   
	LCD_WR_DATA( 0x31);   
	LCD_WR_DATA( 0x33);   
	LCD_WR_DATA( 0x48);   
	LCD_WR_DATA( 0x17);   
	LCD_WR_DATA( 0x14);   
	LCD_WR_DATA( 0x15);   
	LCD_WR_DATA( 0x31);   
	LCD_WR_DATA( 0x34);
	 

	LCD_WR_REG(0x21);
	LCD_WR_REG(0x29);
}


/* ʾ  */
void LCD_SetArea(unsigned int stx,unsigned int sty,unsigned int endx,unsigned int endy)
{
	LCD_WR_REG(0x2A);  
	LCD_WR_DATA(stx>>8);    
	LCD_WR_DATA(stx);    	
	LCD_WR_DATA(endx>>8); 
	LCD_WR_DATA(endx);	

	LCD_WR_REG(0x2B);  
	LCD_WR_DATA(sty>>8); 
	LCD_WR_DATA(sty);	
	LCD_WR_DATA(endy>>8); 
	LCD_WR_DATA(endy);	
}
/*
ɫ
*/
void LCD_writeColor(unsigned int color)
{
	LCD_WR_DATA(color>>8);
	LCD_WR_DATA(color);
}
/*
ɫ
*/
void LCD_clear(unsigned int color)
{
	unsigned long i,j;
	LCD_SetArea(0,0,319,239);
	LCD_WR_REG(0x2C);
	for(i=0;i<240;i++)
	{
		for(j=0;j<320;j++)
		{
			LCD_writeColor(color);
		}
	}
}	

/*
ʾ16*16
*/
void LCD_show16(unsigned int x,unsigned int y,unsigned char *zimo)
{
	unsigned char i,j;
	unsigned char temp;
	
	LCD_SetArea(x,y,x+15,y+15);
	LCD_WR_REG(0x2C);
	
	for(i=0;i<32;i++)
	{	
		temp = *(zimo+i);
		for(j=0;j<8;j++)
		{
		if(temp&0x80) 
			LCD_writeColor(POINT_COLOR);
		else
			LCD_writeColor(BACK_COLOR);
		temp<<=1;
		}
	}
}	
//------------------------ʾ------------------------------------------------//
/* GD25Q64лȡĳֵģ
   gbkǺֵGBK
   rec_dataģᱻ*/
void GBK_Fetch(unsigned char* gbk, unsigned char* rec_data)
{
	unsigned char GBKH,GBKL;
	unsigned long addr;
	
	GBKH=*gbk;
	GBKL=*(gbk+1);
	
	if((GBKH>0XFE)||(GBKH<0x81))return;
	GBKH=GBKH-0X81;
	GBKL=GBKL-0X40;
	
	addr=((unsigned long)GBKH*192+GBKL)*128;
	W25Q64_R_Data(rec_data, addr, 128);
}
/* Һʾһ32*32صĺ
   x yҺ
   gbkǺֵGBK*/
void LCD_ShowGBK(unsigned int x, unsigned int y, unsigned char* gbk)
{
	unsigned int i,j;
	unsigned char temp;
	unsigned char xdata rec_data[128];
	
	GBK_Fetch(gbk, rec_data);
	
	LCD_SetArea(x,y,x+31,y+31);
  LCD_WR_REG(0x2C);
	
	for(i=0;i<128;i++)
	{
		temp = rec_data[i];
		for(j=0;j<8;j++)
		{
			if(temp&0x80)
				LCD_writeColor(POINT_COLOR);
			else
				LCD_writeColor(BACK_COLOR);
			temp=temp<<1;
		}
	}
}
//-----------------------ͼƬʾ--------------------------------------------//
/* ʾһͼƬ */
void LCD_ShowPicture(void)
{
	/* ֲ */
	unsigned long pic_add=0x0000;   // EEPROMַʼȡһͼƬ
//	unsigned long pic_add = 2825040;
	unsigned char xdata pic_buf[3200];// 160X128X2 = 40960 ÿδEEPROMж320ֽ
	unsigned int i,j;
	
	/* Һڴ */
	LCD_SetArea(0,0,319,239);
  LCD_WR_REG(0x2C);
	
	/* ʼͼ */
	for(i=0; i<160; i++) // 128
	{
		for(j=0;j<3200;j++)
		{
			pic_buf[j] = IapRead(pic_add+j);
		}
		for(j=0;j<3200;j+=2)
		{
			LCD_writeColor(((unsigned int)pic_buf[j]<<8)+pic_buf[j+1]);
		}
		pic_add+=3200;
	}
}

const unsigned char xdata LED_Num[60][24]={
	
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3C,0x00,0x1F,0x18,0x00,0x06,0x00,0x00,0x00},
{0x18,0x00,0x06,0x3C,0x00,0x0F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"0",0*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x01,0x80,0x00,0x03,0x80,0x00,0x07,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00},
{0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x07,0x80,0x00,0x03,0x00,0x00},
{0x00,0x00,0x00,0x03,0x00,0x00,0x07,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00},
{0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x0F,0x80,0x00,0x07,0x80,0x00,0x03,0x80,0x00,0x01,0x80,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"1",1*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x1F,0xFF,0xFE,0x0F,0xFF,0xFF,0x07,0xFF,0xFF,0x03,0xFF,0xFF,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F},
{0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x07,0xFF,0xFF,0x07,0xFF,0xFE},
{0x07,0xFF,0xFC,0x1F,0xFF,0xF8,0x3C,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00},
{0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3F,0xFF,0xF0,0x3F,0xFF,0xF8,0x3F,0xFF,0xFC,0x1F,0xFF,0xFE},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"2",2*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x3F,0xFF,0xFC,0x1F,0xFF,0xFE,0x0F,0xFF,0xFE,0x07,0xFF,0xFE,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E},
{0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x0F,0xFF,0xFE,0x0F,0xFF,0xFC},
{0x0F,0xFF,0xF8,0x0F,0xFF,0xEC,0x00,0x00,0x1E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E},
{0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x07,0xFF,0xFE,0x0F,0xFF,0xFE,0x1F,0xFF,0xFE,0x3F,0xFF,0xFC},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"3",3*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x30,0x00,0x00,0x38,0x00,0x03,0x3C,0x00,0x07,0x3E,0x00,0x0F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x0F,0xFF,0xFC,0x07,0xFF,0xFE,0x00,0x00,0x0F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F},
{0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x0F,0x00,0x00,0x07,0x00,0x00,0x03},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"4",4*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x1F,0xFF,0xFE,0x3F,0xFF,0xFC,0x3F,0xFF,0xF8,0x3F,0xFF,0xF0,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00},
{0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3F,0xFF,0xF8,0x1F,0xFF,0xFC},
{0x0F,0xFF,0xFC,0x07,0xFF,0xFE,0x00,0x00,0x0F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F},
{0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x03,0xFF,0xFF,0x07,0xFF,0xFF,0x0F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"5",5*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x1F,0xFF,0xFE,0x3F,0xFF,0xFC,0x3F,0xFF,0xF8,0x3F,0xFF,0xF0,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00},
{0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3F,0xFF,0xF8,0x1F,0xFF,0xFC},
{0x0F,0xFF,0xFC,0x1F,0xFF,0xFE,0x3C,0x00,0x0F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"6",6*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x3F,0xFF,0xFE,0x1F,0xFF,0xFE,0x0F,0xFF,0xFE,0x07,0xFF,0xFE,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E},
{0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x1E,0x00,0x00,0x0C,0x00,0x00,0x00},
{0x00,0x00,0x0C,0x00,0x00,0x1E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E},
{0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x3E,0x00,0x00,0x1E,0x00,0x00,0x0E,0x00,0x00,0x06},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"7",7*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x1F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x0F,0xFF,0xFC,0x1F,0xFF,0xFE,0x3C,0x00,0x0F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"8",8*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x1F,0xFF,0xFE,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3F,0xFF,0xFF,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F},
{0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3E,0x00,0x1F,0x3F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x0F,0xFF,0xFC,0x07,0xFF,0xFE,0x00,0x00,0x0F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F},
{0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x00,0x00,0x1F,0x03,0xFF,0xFF,0x07,0xFF,0xFF,0x0F,0xFF,0xFF,0x1F,0xFF,0xFE},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"9",9*/
};
const unsigned char xdata LED_Num72[90][40]=
{
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x07,0xF0,0x1F,0xC0,0x00,0x03,0xF0,0x1F,0x80,0x00,0x03,0xE0,0x07,0x00,0x00,0x01,0xC0,0x00,0x00,0x00,0x00,0x00,0x0F,0x00,0x00,0x01,0xC0,0x1F,0x80,0x00,0x03,0xF0,0x1F,0xC0,0x00,0x07,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"0",0*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x00,0x3E,0x00,0x00,0x00},
{0x00,0x7E,0x00,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00},
{0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00},
{0x01,0xFE,0x00,0x00,0x00,0x00,0xFE,0x00,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x00,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x00,0xFE,0x00,0x00,0x00},
{0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00},
{0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x00,0xFE,0x00,0x00,0x00},
{0x00,0x3E,0x00,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"1",1*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xE0,0x03,0xFF,0xFF,0xFF,0xF0},
{0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x07,0xF0,0x00,0xFF,0xFF,0xFF,0xF0,0x01,0xFF,0xFF,0xFF,0xE0,0x03,0xFF,0xFF,0xFF,0x80,0x07,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xFF,0xFF,0x00,0x1F,0xFF,0xFF,0xFC,0x00},
{0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00},
{0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFE,0x00},
{0x1F,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xFF,0xFF,0xC0,0x1F,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"2",2*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xF0},
{0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x07,0xF0,0x00,0xFF,0xFF,0xFF,0xF0,0x01,0xFF,0xFF,0xFF,0xC0,0x03,0xFF,0xFF,0xFF,0x80,0x03,0xFF,0xFF,0xFF,0xC0,0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x01,0xFF,0xFF,0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"3",3*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1C,0x00,0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x70,0x1F,0x00,0x00,0x00,0xF0},
{0x1F,0x80,0x00,0x01,0xF0,0x1F,0xC0,0x00,0x03,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xC0,0x00,0x07,0xF0,0x0F,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xC0,0x03,0xFF,0xFF,0xFF,0x80,0x03,0xFF,0xFF,0xFF,0xC0,0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x07,0xF0},
{0x00,0x00,0x00,0x01,0xF0,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"4",4*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0xC0},
{0x1F,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xFF,0xFE,0x00,0x1F,0xFF,0xFF,0xFC,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00},
{0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00},
{0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFC,0x00,0x0F,0xFF,0xFF,0xFF,0x00,0x03,0xFF,0xFF,0xFF,0x80,0x03,0xFF,0xFF,0xFF,0xC0,0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x01,0xFF,0xFF,0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"5",5*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0xC0},
{0x1F,0xFF,0xFF,0xFF,0x80,0x1F,0xFF,0xFF,0xFE,0x00,0x1F,0xFF,0xFF,0xFC,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00},
{0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00,0x1F,0xE0,0x00,0x00,0x00},
{0x1F,0xE0,0x00,0x00,0x00,0x1F,0xC0,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFC,0x00,0x07,0xFF,0xFF,0xFF,0x00,0x03,0xFF,0xFF,0xFF,0x80,0x07,0xFF,0xFF,0xFF,0xC0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"6",6*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xF0},
{0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x07,0xF0,0x00,0x00,0x00,0x03,0xF0,0x00,0x00,0x00,0x01,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xC0,0x00,0x00,0x00,0x03,0xF0,0x00,0x00,0x00,0x07,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x07,0xF0},
{0x00,0x00,0x00,0x01,0xF0,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"7",7*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x07,0xF0,0x1F,0xC0,0x00,0x03,0xF0,0x1F,0xFF,0xFF,0xFF,0xE0,0x07,0xFF,0xFF,0xFF,0xC0,0x03,0xFF,0xFF,0xFF,0x80,0x0F,0xFF,0xFF,0xFF,0xC0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"8",8*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0},
{0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xE0,0x00,0x0F,0xF0},
{0x1F,0xE0,0x00,0x0F,0xF0,0x1F,0xC0,0x00,0x07,0xF0,0x1F,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xC0,0x03,0xFF,0xFF,0xFF,0x80,0x03,0xFF,0xFF,0xFF,0xC0,0x01,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0},
{0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x00,0x0F,0xF0,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,0xF0},
{0x01,0xFF,0xFF,0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"9",9*/
};

/*
ʾ48*48ʱ
*/
void LCD_showLED(unsigned int x,unsigned int y,unsigned char num)
{
	unsigned char i,j,k;
	unsigned char temp;
	
	LCD_SetArea(x,y,x+23,y+47);
	LCD_WR_REG(0x2C);
	
	num = num*6;		//ÿ24*4715Уÿ24ֽ
	
	for(k=0;k<6;k++)
	{	
		for(i=0;i<24;i++)
		{	
			temp = LED_Num[k+num][i];
			for(j=0;j<8;j++)
			{
			if(temp&0x80) 
				LCD_writeColor(POINT_COLOR);
			else
				LCD_writeColor(BACK_COLOR);
			temp<<=1;
			}
		}
	}
}	
/*
ʾ72*72ʱ
*/
void LCD_showLED72(unsigned int x,unsigned int y,unsigned int num72)
{
	unsigned char i,j,k;
	unsigned char temp;
	
	LCD_SetArea(x,y,x+35,y+71);
	LCD_WR_REG(0x2C);
	
	num72 = num72*9;		//ÿ36*7210Уÿ36ֽ
	
	for(k=0;k<9;k++)
	{	
		for(i=0;i<40;i++)
		{	
			temp = LED_Num72[num72][i];
			for(j=0;j<8;j++)
			{
			if(temp&0x80) 
				LCD_writeColor(POINT_COLOR);
			else
				LCD_writeColor(BACK_COLOR);
			temp<<=1;
			}
		}
		num72++;
	}
}	